<?php
namespace WPIS;

class EpcImageFilter {

    private static $supportedValues = ['a++', 'a+', 'a', 'b', 'c', 'd', 'e', 'f', 'g'];

    public static function transform( $value ){

        $value = strtolower($value);

        if( ! in_array($value, self::$supportedValues) ){
            return $value;
        }

        if( $value !== '' ){
            return '<img src="/wp-content/plugins/wp-immo-sync/dist/img/peb/wal/peb_' . $value . '.svg" title="EPC/PEB" class="epc-label">';
        }

        return 0;
    }
}